<?php
###########################
# met à jour un fichier dans le répertoire d'archive
# IN : un nom de fichier ($filename)
###########################

include("../config.php3");
include($BIB."bib_generic.php3");
include($ROOT_DIR."VIRALGAMES_Adm/Bib/bib_synchro.php");

###########################
# CONSTANTS
###########################
$aFile = $ARCHIVES_DIR.$filename;
$aFile2 = $ARCHIVES_DIR.$lang.$SEPARATOR.$filename;
?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Mettre à jour <?php echo $filename ?></div>
<br><br>
<font color=red><?php echo $filename ?></font>
<?php

switch($submit)
{
	case "Valider":
		if (empty($flashText))
		{
			copy($fichier_html,$aFile);
			copy($fichier_html,$aFile2);
		}
		else
		{
			$fd = fopen($aFile,'w');
			$fd2 = fopen($aFile2,'w');
			$flashText = stripslashes($flashText);
			
			fwrite($fd,$flashText);
			fwrite($fd2,$flashText);
			fclose($fd);
			fclose($fd2);
		}
		
		# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
		cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR);
		//on remet le droit d'ecriture sur le fichier
		cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR.$filename);
		# le nouveau dossier généré doit être répliqué
		shareFileToAll($ARCHIVES_DIR, "");

		
		# on change le propriétaire du dossier, il devient web pour pouvoir être répliqué sans pbs
		cmd($CHOWN_CMD." -R web:web ".$ARCHIVES_DIR.$lang.$SEPARATOR.$filename);
		//on remet le droit d'ecriture sur le fichier
		cmd($CHMOD_CMD." 777 ".$ARCHIVES_DIR.$lang.$SEPARATOR.$filename);
		# le nouveau dossier généré doit être répliqué
		shareFileToAll($ARCHIVES_DIR.$lang.$SEPARATOR, "");
		
		echo "<br><br><font color=red><b>Le fichier ".$filename." a été généré</b></font>";
		break;
	
	case "Supprimer":
		if (file_exists($aFile))
		{
			unlink($aFile);
			echo "<font color=red><b>Le fichier ".$filename." a été supprimé</b></font>";
		}
	default:
?>
<br><br>
<font size=2 color=#FF0000><b>!!!!!!!! Attention ce champ doit contenir uniquement du code PHP (sans les balises < ?   ? >)!!!!!!!!</b></Font>
<br><br>
<font size=2 color=#FF0000>La sortie <b>ne doit pas</b> se faire par le biais d'un <b>echo "val"</b> mais en valuant une variable <b>$pub_banner</b> !</Font>
<br><i>exemple :</i><br><br>
<table cellpadding=1 cellspacing=0 bgcolor=#FF0000>
	<tr>
	<td>
		<table cellpadding=1 cellspacing=0 bgcolor=#FFFFFF>
		<tr>
		<td width=5>&nbsp;</td>
		<td>
			srand ((double) microtime() * 1000000);
			<br>$randval = rand(1,2);
			<br><br>if($rand==1)
			<br>&nbsp;&nbsp;&nbsp;$pub_banner = "< a href='1'>< img src='1'>< /a>";
			<br>else
			<br>&nbsp;&nbsp;&nbsp;$pub_banner = "< a href='2'>< img src='2'>< /a>";
		</td>
		<td width=5>&nbsp;</td>
		</tr>	
		</table>
	</td>

</tr>	
</table>



<form method="post" ENCTYPE="multipart/form-data">

<br>
le code php suivant :
<br>
<textarea name="flashText" cols="60" rows=15>
<?php 
readfile($aFile);
?>
</textarea>
<br>
<font size=2 color=#FF0000><b>!!!!!!!! Attention ce champ doit contenir uniquement du code PHP (sans les balises < ?   ? >)!!!!!!!!</b></Font>
<br><br>
<input type=submit name="submit" value="Valider">
&nbsp;&nbsp;&nbsp;<input type=submit name="submit" value="Supprimer">
</form>
<?php
	break;
}
?>


<div align=center class=trTitle>Aperçu</div>
<?php 
readfile($aFile);
?>

</body>
</html>
